FreeBSD and blender

Can blender 2.41 run on FreeBSD through the Linux compatibility layer?
Can Yafray .8 also run on FreeBSD?

I am thinking of switching my OS to FreeBSD 6.0

Nevermind . . . . I found the answer.